reset
set terminal postscript enhanced color
set output 'TTFSSTF.ps'

reset

set title 'Transfer function of TTFSS (after modifications)'

set multiplot layout 2,1
set format x "%.0s%c"
set lmargin 10
 set rmargin 3
set logscale x
set grid ytics xtics mxtics mytics
set ylabel "magnitude (dB)"
set key left bottom box
set style data lines

set xrange [5e4:10e6]

plot \
   'TTFSSTF.TXT' u 1:($2+10) title 'measurement, TTFSS TP9/TEST2' lt 1 lc 1


set notitle
set grid ytics xtics mxtics
set xlabel "frequency (Hz)"
set ylabel "phase (deg)"
unset key

set yrange [-180:180]
plot \
   'TTFSSTF_phase.TXT' u 1:2 lt 1 lc 1

unset multiplot

system('epstopdf --autorotate=All TTFSSTF.ps')